
TYPO3.Flow - Task # 37726

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Package
Created: 2012-06-04 Assigned To: Karsten Dambekalns
Updated: 2012-06-20 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Packages should not be frozen by default
Description

Due to the possible pitfalls with frozen packages, no packages should be frozen by default. This way a developer has to learn about
frozen packages before he can be confronted with them (and their pitfalls).

Related issues:
related to TYPO3.Flow - Bug # 37574: ReflectionData is not regenerated automa... Resolved 2012-07-26

Associated revisions
Revision cadcb612 - 2012-06-04 12:35 - Karsten Dambekalns

[TASK] No longer freeze packages by default

Due to the possible pitfalls with frozen packages, no packages will be frozen
by default. This way a developer has to learn about frozen packages before he
can be confronted with them (and their pitfalls).

Change-Id: I8bdfba568b0212c831fb9a8b858fd14b5c65a2d3
Resolves: #37726
Releases: 1.1, 1.2

Revision 977ba8e1 - 2012-06-12 16:12 - Karsten Dambekalns

[TASK] No longer freeze packages by default

Due to the possible pitfalls with frozen packages, no packages will be frozen
by default. This way a developer has to learn about frozen packages before he
can be confronted with them (and their pitfalls).

Change-Id: I8bdfba568b0212c831fb9a8b858fd14b5c65a2d3
Resolves: #37726
Releases: 1.1, 1.2

History
#1 - 2012-06-04 12:35 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11825

#2 - 2012-06-05 10:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cadcb6127fd1ae2eef6d08c48680428d0361c8a1.

#3 - 2012-06-12 16:13 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11987

#4 - 2012-06-14 15:37 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:977ba8e14cf080be32f5d51527f7f1dcec1917da.

#5 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3
